package com.cool.mqconsumer.mq;

import com.alibaba.fastjson.JSON;
import com.cool.mqconsumer.entity.Message;
import org.springframework.amqp.core.ExchangeTypes;
import org.springframework.amqp.rabbit.annotation.Exchange;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.QueueBinding;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Service;

@Service
public class InformSmsListen {


    @RabbitListener(bindings = @QueueBinding(
            value = @Queue(name = "queue_inform_sms"),
            exchange = @Exchange(name = "exchange_topics_inform", type = ExchangeTypes.TOPIC),
            key = {"inform.cool.sms.message"}
    ))
    public void SmsConsumer(String message) {
        System.out.println(message);
        Message message1 = JSON.parseObject(message, Message.class);
        System.out.println(message1);
    }

}
